When you scan ESX/ESXi hosts against an upgrade baseline, Update Manager runs a precheck script and provides informative messages in the Upgrade Details window for each host. The messages notify you about potential problems with hardware, third-party software on the host, and configuration issues, which might prevent a successful upgrade or migration to ESXi 5.0.

Messages that Update Manager provides correspond to error or warning codes from running the host upgrade precheck script.

For interactive installations, upgrades, and migrations performed by using the ESXi installer, the errors or warnings from the precheck script are displayed on the final panel of the installer, where you are asked to confirm or cancel the installation or upgrade. For scripted installations, upgrades, or migrations, the errors or warnings are written to the installation log.

Update Manager provides scan result messages in the Upgrade Details window for errors or warnings from the precheck script. To see the original errors and warnings returned by the precheck script during an Update Manager host upgrade scan operation, review the Update Manager log file C:\Documents and Settings\All Users\Application Data\VMware\VMware Update Manager\Logs\vmware-vum-server-log4cpp.log.

Scan Result Messages and Corresponding Error and Warning Codes

Scan Result Message in Update Manager

Description

Host CPU is unsupported. New ESXi version requires a 64-bit CPU with support for LAHF/SAHF instructions in long mode.

This message appears if the host processor is 32-bit and does not support required features.

The corresponding error code is 64BIT_LONGMODESTATUS.

Trusted boot is enabled on the host but the upgrade does not contain the software package esx-tboot. Upgrading the host will remove the trusted boot feature.

This message indicates that the host upgrade scan did not locate the esx-tboot VIB on the upgrade ISO.

The corresponding error code is TBOOT_REQUIRED

The root password is not using MD5 hashing, causing it to be authenticated up to only 8 characters. For instructions on how to correct this, see VMware KB 1024500 at http://kb.vmware.com/kb/1024500.

This message applies only to migrations from ESX to ESXi. This test checks whether the root password is encoded by using the MD5 algorithm. On ESX 4.1 hosts, passwords encrypted by using the DES algorithm are limited to eight symbols. For improved security, you should configure your hosts to use longer passwords.

The corresponding error code is MD5_ROOT_PASSWORD.

VMkernel and Service Console network interfaces are sharing the same subnet subnet_name. This configuration is not supported after upgrade. Only one interface should connect to subnet subnet_name.

Warning. An IPv4 address was found on an enabled Service Console virtual NIC for which there is no corresponding address in the same subnet in the vmkernel. A separate warning will be output for each such occurrence.

The corresponding error code is COS_NETWORKING.

New ESXi version requires a minimum of core_count processor cores.

The host must have at least two cores.

The corresponding error code is CPU_CORES.

Processor does not support hardware virtualization or it is disabled in BIOS. Virtual machine performance may be slow.

Host performance might be impaired if the host processor does not support hardware virtualization or if hardware virtualization is not turned on in the host BIOS. Enable hardware virtualization in the host machine boot options. See your hardware vendor's documentation.

The corresponding error code is HARDWARE_VIRTUALIZATION.

Insufficient memory, minimum size_in_MB required for upgrade.

The host requires the specified amount of memory to upgrade.

The corresponding error code is MEMORY_SIZE.

Host upgrade validity checks for file_name are not successful.

This test checks whether the precheck script itself can be run.

The corresponding error code is PRECHECK_INITIALIZE.

The host partition layout is not suitable for upgrade.

Upgrading or migration is possible only if there is at most one VMFS partition on the disk that is being upgraded and the VMFS partition starts after sector 1843200.

The corresponding error code is PARTITION_LAYOUT.

Unsupported configuration.

The file /etc/vmware/esx.conf must exist on the host.

The corresponding error code is SANE_ESX_CONF.

The host does not have sufficient space on boot partition to store the upgrade image. A minimum of size_in_MB is required. Retry after freeing up sufficient space or perform a CD-based installation.

The ESX host disk must have enough free space to store the contents of the installer DVD.

The corresponding error code is SPACE_AVAIL_ISO.

Cannot create a ramdisk of size size_in_MB to store the upgrade image. Check if the host has sufficient memory.

The ESXi host disk must have enough free space to store the contents of the installer DVD.

The corresponding error code is SPACE_AVAIL_ISO.

The host does not have sufficient free space on a local VMFS datastore to back up current host configuration. A minimum of size_in_MB is required.

The host disk must have enough free space to store the ESX/ESXi 4.x configuration between reboots.

The corresponding error code is SPACE_AVAIL_CONFIG.

The upgrade is not supported for current host version.

Upgrading or migration to ESXi 5.0 is possible only from ESX/ESXi 4.x hosts.

The corresponding error code is SUPPORTED_ESX_VERSION.

Unsupported devices device_name found on the host.

The script checks for unsupported devices. Some PCI devices are not supported with ESXi 5.0.

The corresponding error code is UNSUPPORTED_DEVICES.

Host software configuration requires a reboot. Reboot the host and try upgrade again.

To ensure a good bootbank for the upgrade, you must reboot the hosts before remediation.

The corresponding error code is UPDATE_PENDING.

In an environment with Cisco Nexus 1000V Distributed Virtual Switch, Update Manager displays different messages in different situations. For details, see Host Upgrade Scan Messages When Cisco Nexus 1000V Is Present.

If Cisco's Virtual Ethernet Module (VEM) software is found on the host, the precheck script checks if the software is part of the upgrade as well, and that the VEM supports the same version of the Virtual Supervisor Module (VSM) as the existing version on the host. If the software is missing or is compatible with a different version of the VSM, the script returns a warning and the scan result indicates the version of the VEM software that was expected on the upgrade ISO, and the version, if any, that was found on the ISO.

The corresponding error code is DISTRIBUTED_VIRTUAL_SWITCH.

The host uses an EMC PowerPath multipathing module file_name to access storage. The host will not be able to access such storage after upgrade.

The script checks for installation of EMC PowerPath software, consisting of a CIM module and a kernel module. If either of these components is found on the host, the script verifies that matching components (CIM, VMkernel module) also exist in the upgrade. If they do not, the script returns a warning that indicates which PowerPath components were expected on the upgrade ISO and which, if any, were found.

The corresponding error code is POWERPATH.